%global srcname setuptools-git

Name:           python-%{srcname}
Version:        1.2
Release:        %mkrel 9
Summary:        Setuptools revision control system plugin for Git

Group:          Development/Python
License:        MIT
URL:            https://github.com/wichert/setuptools-git
Source0:        https://pypi.io/packages/source/s/setuptools-git/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This is a plugin for setuptools that enables git integration.

%package -n python3-%{srcname}
Summary:        Setuptools revision control system plugin for Git
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{srcname}
This is a plugin for setuptools that enables git integration.
This is the Python 3 build of %{srcname}.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files setuptools_git

%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
* Sat Mar 01 2025 wally <wally> 1.2-9.mga10
+ Revision: 2155923
- rebuild for python3.13

* Tue Dec 26 2023 daviddavid <daviddavid> 1.2-8.mga10
+ Revision: 2021641
- rebuild for py3.12
- switch to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 1.2-7.mga9
+ Revision: 1823089
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 1.2-6.mga9
+ Revision: 1779433
- rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 1.2-5.mga9
+ Revision: 1705295
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.2-4.mga8
+ Revision: 1532471
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.2-3.mga8
+ Revision: 1442352
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.2-2.mga7
+ Revision: 1354375
- Rebuild for python3 3.7

* Tue Jan 01 2019 wally <wally> 1.2-1.mga7
+ Revision: 1348107
- new version 1.2

* Thu Sep 20 2018 umeabot <umeabot> 1.1-3.mga7
+ Revision: 1290021
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.1-2.mga7
+ Revision: 1135630
- Rebuild for python 3.6

* Wed Dec 16 2015 daviddavid <daviddavid> 1.1-1.mga6
+ Revision: 911024
- new version: 1.1
- add python 3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.0-7.mga5
+ Revision: 745161
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0-6.mga5
+ Revision: 729759
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 688328
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 544195
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0-2.mga4
+ Revision: 499367
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 1.0-1.mga4
+ Revision: 460748
- imported package python-setuptools-git

